| OGRE 1.11.1 Object-Oriented Graphics Rendering Engine

Classes | Namespaces | Macros | Enumerations
OgreProfiler.h File Reference
`#include "OgrePrerequisites.h"`
`#include "OgreSingleton.h"`
`#include "OgreHeaderPrefix.h"`
`#include "OgreHeaderSuffix.h"`

## Classes
class | Ogre::Profile
| An individual profile that will be processed by the Profiler. More...
struct | Ogre::ProfileFrame
| Represents the total timing information of a profile since profiles can be called more than once each frame. More...
struct | Ogre::ProfileHistory
| Represents a history of each profile during the duration of the app. More...
class | Ogre::ProfileInstance
| Represents an individual profile call. More...
class | Ogre::Profiler
| The profiler allows you to measure the performance of your code. More...
class | Ogre::ProfileSessionListener
| ProfileSessionListener should be used to visualize profile results. More...

## Namespaces
| Ogre

## Macros
#define | OgreProfile(a)
#define | OgreProfileBegin(a)
#define | OgreProfileBeginGPUEvent(e)
#define | OgreProfileBeginGroup(a, g)
#define | OgreProfileEnd(a)
#define | OgreProfileEndGPUEvent(e)
#define | OgreProfileEndGroup(a, g)
#define | OgreProfileGroup(a, g)
#define | OgreProfileMarkGPUEvent(e)

## Enumerations
enum | Ogre::ProfileGroupMask { Ogre::OGREPROF_USER_DEFAULT = 0x00000001, Ogre::OGREPROF_ALL = 0xFF000000, Ogre::OGREPROF_GENERAL = 0x80000000, Ogre::OGREPROF_CULLING = 0x40000000, Ogre::OGREPROF_RENDERING = 0x20000000 }
| List of reserved profiling masks. More...

## Macro Definition Documentation

## ◆ OgreProfile

#define OgreProfile | ( |  | a | ) |

## ◆ OgreProfileBegin

#define OgreProfileBegin | ( |  | a | ) |

## ◆ OgreProfileEnd

#define OgreProfileEnd | ( |  | a | ) |

## ◆ OgreProfileGroup

#define OgreProfileGroup | ( |  | a,
|  |  | g
| ) |  |

## ◆ OgreProfileBeginGroup

#define OgreProfileBeginGroup | ( |  | a,
|  |  | g
| ) |  |

## ◆ OgreProfileEndGroup

#define OgreProfileEndGroup | ( |  | a,
|  |  | g
| ) |  |

## ◆ OgreProfileBeginGPUEvent

#define OgreProfileBeginGPUEvent | ( |  | e | ) |

## ◆ OgreProfileEndGPUEvent

#define OgreProfileEndGPUEvent | ( |  | e | ) |

## ◆ OgreProfileMarkGPUEvent

#define OgreProfileMarkGPUEvent | ( |  | e | ) |